Package com.tietoenator.trip.jxp.forms

# Class TdbOutputFormat

java.lang.Object
com.tietoenator.trip.jxp.session.TdbSessionObject
com.tietoenator.trip.jxp.TdbMessageProvider
com.tietoenator.trip.jxp.session.TdbSerializableObject
com.tietoenator.trip.jxp.forms.TdbFormat
com.tietoenator.trip.jxp.forms.TdbOutputFormat

All Implemented Interfaces:
  `com.tietoenator.trip.jxp.internal.utils.DOMSink`, `TdbControlObjectProvider`, `Iterable<String>`

public class TdbOutputFormat extends TdbFormat
Specialization of TdbFormat for output formats / reports

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TdbOutputFormat(TdbSession session)`
  Constructor, creates a blank instance
  `TdbOutputFormat(TdbSession session, TdbControlObject ob)`
  Constructor, creates an output format instance for the provided Control object reference

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `test(TdbKernelWindow window)`
  Test the current format; this creates a temporary format on the server and attempts to execute it.

  ### Methods inherited from class com.tietoenator.trip.jxp.forms.TdbFormat

  `content, copy, create, create, delete, delete, delete, export, export, export, get, get, get, getComment, getDatabase, getName, getOwnerName, importUpdate, importUpdate, importUpdate, iterator, put, rename, setComment, setContent, setDatabase, setName`

  ### Methods inherited from class com.tietoenator.trip.jxp.session.TdbSerializableObject

  `getControlObject`

  ### Methods inherited from class com.tietoenator.trip.jxp.TdbMessageProvider

  `codeList, getLastCode, getLastMessage, hasMessages, messageList, resetMessages`

  ### Methods inherited from class com.tietoenator.trip.jxp.session.TdbSessionObject

  `cancel, getSession, isCancelable, setCancelable`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.lang.Iterable

  `forEach, spliterator`

- ## Constructor Details

  - ### TdbOutputFormat

    public TdbOutputFormat(TdbSession session) throws TdbException
    Constructor, creates a blank instance
    Parameters:
      `session` - Active session
    Throws:
      `TdbException`

  - ### TdbOutputFormat

    public TdbOutputFormat(TdbSession session, TdbControlObject ob) throws TdbException
    Constructor, creates an output format instance for the provided Control object reference
    Parameters:
      `session` - Active session
      `ob` - Control object reference for the format
    Throws:
      `TdbException`

- ## Method Details

  - ### test

    public void test(TdbKernelWindow window) throws TdbException
    Test the current format; this creates a temporary format on the server and attempts to execute it. Whether the execution works or not, the temporary format is deleted prior to the completion of the function. Any output generated by the format under test is sent to the kernel window buffer provided.

    This method causes network I/O.

    Parameters:
      `window` - Will be updated with any output generated by the test
    Throws:
      `TdbException`